Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_RW_Thread_Mutex Class Reference

Wrapper for readers/writer locks that exist within a process. More...

`#include <RW_Thread_Mutex.h>`

Inheritance diagram for ACE_RW_Thread_Mutex:

[legend]
Collaboration diagram for ACE_RW_Thread_Mutex:

[legend]
List of all members.

## Public Methods
| ACE_RW_Thread_Mutex (const ACE_TCHAR *name=0, void *arg=0)
| ~ACE_RW_Thread_Mutex (void)
| Default dtor.
int | tryacquire_write_upgrade (void)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Wrapper for readers/writer locks that exist within a process.

## Constructor & Destructor Documentation

ACE_RW_Thread_Mutex::ACE_RW_Thread_Mutex | ( | const ACE_TCHAR * | name = 0,
|  | void * | arg = 0
| ) |

ACE_INLINE ACE_RW_Thread_Mutex::~ACE_RW_Thread_Mutex | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_RW_Thread_Mutex::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_RW_Mutex.

ACE_INLINE int ACE_RW_Thread_Mutex::tryacquire_write_upgrade | ( | void |  | ) |

| Conditionally upgrade a read lock to a write lock. This only works if there are no other readers present, in which case the method returns 0. Otherwise, the method returns -1 and sets <errno> to <EBUSY>. Note that the caller of this method *must* already possess this lock as a read lock (but this condition is not checked by the current implementation). Reimplemented from ACE_RW_Mutex.

## Member Data Documentation

ACE_RW_Thread_Mutex::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_RW_Mutex.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/RW_Thread_Mutex.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/RW_Thread_Mutex.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/RW_Thread_Mutex.inl